﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace Resizable
{
    public partial class Form1 : Form
    {
        private RadPropertyGrid propGrid = new RadPropertyGrid();
        private RadPageView pageView = new RadPageView();

        public Form1()
        {
            InitializeComponent();

            this.Controls.Add(propGrid);
            this.Controls.Add(pageView);

            this.propGrid.Dock = DockStyle.Left;
            this.pageView.Dock = DockStyle.Right;

            this.propGrid.Width = this.Width / 2;
            this.pageView.Width = this.Width / 2;
            this.pageView.SizeChanged += pageView_SizeChanged;
        }

        void pageView_SizeChanged(object sender, EventArgs e)
        {
            //this is the width of the form
            int maxWidth = this.Size.Width - 12; //12 is the size of the border
            //current size of both controls
            int currentSize = this.pageView.Size.Width + this.propGrid.Size.Width;
            //how much we need to shrink/widen the RadPropertyGrid in order to fit the size of the form
            int sizeToChange = maxWidth - currentSize;
            //change the width
            this.propGrid.Size = new Size(this.propGrid.Size.Width + sizeToChange, this.propGrid.Size.Height);
            //we need to move the grid left/right because when the width is increased its incrasing to the right
            this.propGrid.Location = new Point(this.propGrid.Location.X - sizeToChange, this.propGrid.Location.Y);
        }
    }
}
